﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Infragistics_WHDG
{
    public partial class Default : System.Web.UI.Page
    {
        DataSet countryCustomersDataSet;
        DataView countryCustomersDataView;
        DataTable dt1;

        protected void Page_Load(object sender, EventArgs e)
        {
            countryCustomersDataSet = new DataSet();

            DataTable dt = new DataTable("Root");
            dt.Columns.Add("Id");
            dt.Columns.Add("BirthDate", typeof(DateTime));
            dt.Columns.Add("Name");
            dt.Rows.Add(new object[] { 101, "11/09/1980", "Chandradeep" });
            dt.Rows.Add(new object[] { 102, "11/10/1970", "MikeS" });
            dt.Rows.Add(new object[] { 103, "11/12/1875", "Luke" });
            dt.Rows.Add(new object[] { 104, "11/2/1988", "Sam" });


            // Child DataRecords.
            dt1 = new DataTable("Children1");
            dt1.Columns.Add("Id");
            dt1.Columns.Add("BirthDate");
            dt1.Columns.Add("Name");

            dt1.Rows.Add(new object[] { 102, "11/09/1980", "Chandradeep" });
            dt1.Rows.Add(new object[] { 102, "11/09/1980", "Chandradeep" });

            dt1.Rows.Add(new object[] { 103, "11/09/1980", "MikeS" });
            dt1.Rows.Add(new object[] { 103, "11/09/1980", "Step In" });

            dt1.Rows.Add(new object[] { 101, "11/09/1980", "Sandeep Patil" });
            dt1.Rows.Add(new object[] { 104, "11/09/1980", "Step Out" });


            //Tables added to the Collections of DataSet
            countryCustomersDataSet.Tables.Add(dt);
            countryCustomersDataSet.Tables.Add(dt1);

            countryCustomersDataView = countryCustomersDataSet.Tables[1].DefaultView;

            // Set the table's primary key field
            countryCustomersDataSet.Tables["Root"].PrimaryKey = new DataColumn[] { countryCustomersDataSet.Tables["Root"].Columns["Id"] };

            countryCustomersDataSet.Relations.Add(countryCustomersDataSet.Tables["Root"].Columns[0], countryCustomersDataSet.Tables["Children1"].Columns[0]);

            this.WebHierarchicalDataGrid1.DataSource = countryCustomersDataSet;
            this.WebHierarchicalDataGrid1.DataMember = "Root";
            this.WebHierarchicalDataGrid1.DataKeyFields = "Id";
            this.WebHierarchicalDataGrid1.DataBind();
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            
        }

    }
}